Highlighted

Upgrading from CS6 to The Latest Version of CC?

New Here ,
Dec 11, 2019

Copy link to clipboard

Copied

Since multiple versions of Dreamweaver can exist on the same computer at the same time, is updating the code necessary when opening a .html file made with CS6 in the latest version of CC? Or, will the code automatically update when the file is opened in the latest version of CC?

 

Is there a risk of Dreamweaver code being used for hacking into shared hosted space via the website if the files were created using CS6?

 

Thanks

Adobe Community Professional
Correct answer by Jon Fritz II | Adobe Community Professional

1. Updating the code isn't necessary to work with code from older versions of the program, however, you may not have the same dialogue windows you were used to, if a feature has been removed from DW in the latest incarnation.

2. DW will not auto-update code. It will generally plug along, allowing you to use whatever code you like. Though it is more susceptible to crashing or doing odd things when it runs into actual code errors.

3. If you have a website that is vulnerable to things like code injection, new versions of DW will not fix that. Some of DW's old server behavior functionality has been described as "less secure", but then, so is everything made 10 years ago when you talk about the internet in general.

The old perpetual license version of CS6 can sometimes have its start-up taken over by the CC Desktop App (where there was also a CS6 Cloud version) and effectively stick you with a non-working program until the older one is reinstalled. If you run into issues, a reinstall of the old software will generally get you up and running again.

TOPICS
Code, Other

Views

399

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Upgrading from CS6 to The Latest Version of CC?

New Here ,
Dec 11, 2019

Copy link to clipboard

Copied

Since multiple versions of Dreamweaver can exist on the same computer at the same time, is updating the code necessary when opening a .html file made with CS6 in the latest version of CC? Or, will the code automatically update when the file is opened in the latest version of CC?

 

Is there a risk of Dreamweaver code being used for hacking into shared hosted space via the website if the files were created using CS6?

 

Thanks

Adobe Community Professional
Correct answer by Jon Fritz II | Adobe Community Professional

1. Updating the code isn't necessary to work with code from older versions of the program, however, you may not have the same dialogue windows you were used to, if a feature has been removed from DW in the latest incarnation.

2. DW will not auto-update code. It will generally plug along, allowing you to use whatever code you like. Though it is more susceptible to crashing or doing odd things when it runs into actual code errors.

3. If you have a website that is vulnerable to things like code injection, new versions of DW will not fix that. Some of DW's old server behavior functionality has been described as "less secure", but then, so is everything made 10 years ago when you talk about the internet in general.

The old perpetual license version of CS6 can sometimes have its start-up taken over by the CC Desktop App (where there was also a CS6 Cloud version) and effectively stick you with a non-working program until the older one is reinstalled. If you run into issues, a reinstall of the old software will generally get you up and running again.

TOPICS
Code, Other

Views

400

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Dec 11, 2019 0
Adobe Community Professional ,
Dec 11, 2019

Copy link to clipboard

Copied

1. Updating the code isn't necessary to work with code from older versions of the program, however, you may not have the same dialogue windows you were used to, if a feature has been removed from DW in the latest incarnation.

2. DW will not auto-update code. It will generally plug along, allowing you to use whatever code you like. Though it is more susceptible to crashing or doing odd things when it runs into actual code errors.

3. If you have a website that is vulnerable to things like code injection, new versions of DW will not fix that. Some of DW's old server behavior functionality has been described as "less secure", but then, so is everything made 10 years ago when you talk about the internet in general.

The old perpetual license version of CS6 can sometimes have its start-up taken over by the CC Desktop App (where there was also a CS6 Cloud version) and effectively stick you with a non-working program until the older one is reinstalled. If you run into issues, a reinstall of the old software will generally get you up and running again.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 11, 2019 1
New Here ,
Dec 11, 2019

Copy link to clipboard

Copied

Thank you.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 11, 2019 0
Adobe Community Professional ,
Dec 11, 2019

Copy link to clipboard

Copied

"will the code automatically update when the file is opened in the latest version of CC?"

 

HTML will open in any editor.  But DW CC doesn't magically update malformed & outdated code for you.  No editor can do that.  Suggest you run validation tests to see where you stand.  And rebuild your site to modern web standards as time permits.

 

Your last question doesn't make much sense.  Hackers will exploit whatever you leave holes for them to exploit.  Web security begins at the hosting level with regular server updates and security patches.   Obviously if you use weak passwords, unsafe coding practices and non HTTPS servers, your site will be more vulnerable to threats.  But that's not caused by your code editor.

 

 

Nancy O'Shea, ACP
Alt-Web.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Dec 11, 2019 1